Package org.apache.cayenne.access.flush.operation

## Enum DbRowOpType

- java.lang.Object
- - java.lang.Enum<DbRowOpType>
  - - org.apache.cayenne.access.flush.operation.DbRowOpType

- All Implemented Interfaces:
    `Serializable`, `Comparable<DbRowOpType>`

      public enum DbRowOpType
      extends Enum<DbRowOpType>
      implements Comparable<DbRowOpType>

  Since:
    4.2

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `DELETE` |
    `INSERT` |
    `UPDATE` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static DbRowOpType` | `forObject​(Persistent object)` |
    `static DbRowOpType` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static DbRowOpType[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.lang.Comparable

      `compareTo`

- - ### Enum Constant Detail

    - #### INSERT

          public static final DbRowOpType INSERT

    - #### UPDATE

          public static final DbRowOpType UPDATE

    - #### DELETE

          public static final DbRowOpType DELETE

  - ### Method Detail

    - #### values

          public static DbRowOpType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (DbRowOpType c : DbRowOpType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static DbRowOpType valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### forObject

          public static DbRowOpType forObject​(Persistent object)